tooltipTextCache = new Array();

function showTooltip(tooltip, resourceId, metricId, startTime, endTime, timeSpan, timeZone)
{
	tooltipString = getTooltipText(resourceId, metricId, startTime, endTime, timeSpan, timeZone);
	if (tooltipString != null && tooltipString != "")
	{
		document.getElementById(tooltip).innerHTML = tooltipString;
		document.getElementById(tooltip).className = "tooltip-show";
	}
}

function hideTooltip(tooltip)
{
	document.getElementById(tooltip).className = "tooltip-hide";
}

function getTooltipText(resourceId, metricId, startTime, endTime, timeSpan, timeZone)
{
	lookupString = resourceId + ":" + metricId;
	if (tooltipTextCache[lookupString])
		return tooltipTextCache[lookupString];

	if (window.XMLHttpRequest)
		request = new XMLHttpRequest();
	else if (window.ActiveXObject)
		request = new ActiveXObject("Microsoft.XMLHTTP");

	request.open("GET", "../../PROVISO/DataView/tooltipText?resourceId=" + resourceId + "&metricId=" + metricId + 
		"&startTime=" + startTime + "&endTime=" + endTime + "&timeSpan=" + timeSpan + "&timeZone=" + timeZone, false);
	request.send("");

	tooltipTextCache[lookupString] = request.responseText;
	return request.responseText;
}