#!/bin/ksh

# Get command line options
while getopts "d" OPTION
do
   case "${OPTION}" in
       d) DEBUG=ON;;
       *) echo "Usage: $0 [-d]"
   esac
done

# Load functions
RUNPATH=`dirname $0`
RUNPATH="${RUNPATH}/.."
. ${RUNPATH}/functions
. ${RUNPATH}/functions.oracle
. ${RUNPATH}/functions.silverstream

# Load config.dv values
. ${RUNPATH}/pvrscripts/config.dv

unsecure_silvermaster
unsecure_dataview
