<%-- *************************************************** {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * 5724-C51
 *
 * (C) Copyright IBM Corp. 2007
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} *** --%>
<%-- ***************************************************************************
 * CMVC Location: %W%
 * Version:       %I%
 * Last Modified: %G%
 ******************************************************************************* --%>

<%@ page language="java" contentType="text/xml;charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="java.util.*" %>
<%@ page import="com.micromuse.sla.configclient.*" %>
<%@ page import="com.micromuse.sla.soap.RADFacadeIfc" %>
<%@ page import="com.micromuse.common.util.Debug" %>
<%@ taglib uri="/jstl-c" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://micromuse.com/ncjsf" prefix="ncjsf" %>

<%
        String instanceID = request.getParameter("serviceInstanceID");
        
        String provisoIdAttr = "ProvisoResourceID";
        String provisoGrpIdAttr = "ProvisoGroupID";
        String provisoReporterIdAttr = "ProvisoReportID";
        
        String serviceNameAttr = "srvname";
        
        Map attr = new HashMap();
        
        attr.put(provisoIdAttr,"resid");
        attr.put(provisoGrpIdAttr,"grpid");
        attr.put(provisoReporterIdAttr,"repid");
        
        if (instanceID != null) 
        {
            response.setContentType("text/xml");
            response.setHeader("Cache-Control", "no-cache");
            
	        SessionBeanStore sessionBeanStore = SessionBeanStore.getInstance();
            RADFacadeIfc radFacade = sessionBeanStore.getFacadeForRequest(request);
            
	        int firstIndex = instanceID.indexOf(":");
      	    String instID = instanceID.substring(firstIndex+1,instanceID.length());
	        Map fieldVal = radFacade.getUserPreferencesForInstance(Integer.parseInt(instID));
	        String instDisplayName = radFacade.getInstanceDisplayName(Integer.parseInt(instID)); 
	        
	        
	        response.getWriter().write("<instanceAttributes id=\"" + instID + "\">");
	        
	        response.getWriter().write("<attribute name=\"" + serviceNameAttr + "\">");
		    response.getWriter().write(instDisplayName.replaceAll("<", "&lt;"));
		    response.getWriter().write("</attribute>");
	        
	        
	        if ( fieldVal != null ) 
            {
    	        String field = null;
  	            Iterator fields = fieldVal.keySet().iterator();
	            while ( fields.hasNext() ) 
                {
		              field = (String) fields.next();
                      field =  field.trim();
                      
                      if ( field.equals(provisoIdAttr) || field.equals(provisoGrpIdAttr) || field.equals(provisoReporterIdAttr)) 
                      {	
		                   response.getWriter().write("<attribute name=\"" + attr.get(field) + "\">");
		                   response.getWriter().write(((String) fieldVal.get(field)).replaceAll("<", "&lt;"));
		                   response.getWriter().write("</attribute>");
                     }
                }
             }
              
	         response.getWriter().write("</instanceAttributes>");
	         
        } 
        else 
        {
            response.setContentType("text/xml");
            response.setHeader("Cache-Control", "no-cache");
            response.getWriter().write("<message>");
            response.getWriter().write("serviceInstanceID not set");
            response.getWriter().write("</message>");
        }

%>
